[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FileIsReadOnly

Check whether a file is read-only.

## Declaration

Source position: filutilh.inc line 110

`function FileIsReadOnly(`
`const FileName: string`
`):Boolean;`

## Description

FileIsReadOnly checks whether FileName exists in the filesystem and is a read-only file. If this is the case, the function returns True, otherwise False is returned.

## See also

FileExists |  | Check whether a particular file exists in the filesystem.

Documentation generated on: Feb 26 2014